Home » Infrastructure » Other Operating Systems » How to connect from Windows to an old Oracle Database (7.1.4)
How to connect from Windows to an old Oracle Database (7.1.4) [message #257500] Wed, 08 August 2007 08:46 Go to next message
didsyl
Messages: 2
Registered: August 2007
Location: FRANCE
Junior Member
I'm looking for a driver (odbc, ado...) that would allow me to develop a software (with Powerbuilder or C#...) for a windows client computer, that would access an Oracle Database installed on a VAX/VMS server (6.2 patch H3) : the problem is, the installed version of Oracle on the server, is 7.1.4.1 (with SQL*NET V1) ; I can NOT upgrade Oracle server (maybe install SQL*NET V2, but if I can avoid...).

Re: How to connect from Windows to an old Oracle Database (7.1.4) [message #257605 is a reply to message #257500] Wed, 08 August 2007 14:11 Go to previous messageGo to next message
Littlefoot
Messages: 19630
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
I'm sorry, I think I can't help much. However, let me try: is Oracle 7.1.4 the only Oracle database installed on this server? Do you have, perhaps, 8.1.7 somewhere? If so, you might create a database link between those two databases, create a snapshot on 8.1.7 which would look at 7.1.4 and, later on, access that 8i database from your application.
Re: How to connect from Windows to an old Oracle Database (7.1.4) [message #257771 is a reply to message #257605] Thu, 09 August 2007 02:39 Go to previous messageGo to next message
didsyl
Messages: 2
Registered: August 2007
Location: FRANCE
Junior Member

Yes on the VMS server, there is only one Database ( 7.1.3), but we could install on a "gateway" computer an ORacle version 8.1.7 : but are you sure a database link could be created to access the VMS server with SQL*Net Version 1 only (I have read in ORacle doc. that you can not connect a node with SQL*Net Version 1 and a node with SQL*Net Version 2).
Re: How to connect from Windows to an old Oracle Database (7.1.4) [message #257798 is a reply to message #257771] Thu, 09 August 2007 03:23 Go to previous message
Littlefoot
Messages: 19630
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
No, I'm not sure but I *think* (~70%) it might work. Sorry; 7.1 is an ancient varsion and I can't test it myself, but there's that foggy remembrance that it has a chance.
Previous Topic: Cross platform Migration-Oracle 8.1.7 on z/os to Oracle 10G on AIX
Next Topic: 10gR2 server & client version mix
Goto Forum:
  


Current Time: Sun Sep 21 09:34:25 CDT 2014

Total time taken to generate the page: 0.10048 seconds